Bug 154 - why not export FcCharsetForLang and related API?
Summary: why not export FcCharsetForLang and related API?
Status: RESOLVED WONTFIX
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2_1
Hardware: x86 (IA32) All
: high normal
Assignee: Noah Levitt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-24 23:39 UTC by Noah Levitt
Modified: 2008-05-03 16:21 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Noah Levitt 2003-11-24 23:39:04 UTC
Why not export FcCharsetForLang and related API? It could be generally useful. I
would like to use it for gucharmap.
Comment 1 Keith Packard 2004-12-04 19:48:30 UTC
Can you make a concrete proposal about precisely what API we should export?  A
patch doing what you want would be great; having documentation included would be
even better.
Comment 2 Keith Packard 2005-01-13 10:12:01 UTC
Let's  table this until we have a concrete proposal.  Widening the fontconfig
API seems like something that can wait for the next major release.
Comment 3 Adam Jackson 2008-02-24 18:22:03 UTC
Mass reopen.  The "LATER" resolution is lame, I'm deleting it.  Consider LATER to have arrived.
Comment 4 Keith Packard 2008-05-03 16:21:41 UTC
I'm closing this as WONTFIX until someone comes up with a credible API plan.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.